import { PromptTemplatePipeline } from '../classes/PromptTemplatePipeline';
import { ExecutionTools } from './ExecutionTools';
import { PtpExecutor } from './PtpExecutor';
interface CreatePtpExecutorOptions {
    readonly ptp: PromptTemplatePipeline;
    readonly tools: ExecutionTools;
}
/**
 * Creates executor function from prompt template pipeline and execution tools.
 *
 * Note: Consider using getExecutor method of the library instead of using this function
 */
export declare function createPtpExecutor(options: CreatePtpExecutorOptions): PtpExecutor;
export {};
/**
 * TODO: [👧] Strongly type the executors to avoid need of remove nullables whtn noUncheckedIndexedAccess in tsconfig.json
 * Note: CreatePtpExecutorOptions are just connected to PtpExecutor so do not extract to types folder
 */
